summaryrefslogtreecommitdiffstats
path: root/.ci/scripts/linux/docker.sh
diff options
context:
space:
mode:
authorZach Hilman <zachhilman@gmail.com>2019-07-14 03:34:40 +0200
committerZach Hilman <zachhilman@gmail.com>2019-07-14 03:34:40 +0200
commitbbc5b5d62dfd66e623494bfc67fc469eae6551c6 (patch)
treec0d52e7abea8f65b33e1016a31495205eb8b8c1c /.ci/scripts/linux/docker.sh
parentMerge pull request #2609 from FernandoS27/new-scan (diff)
downloadyuzu-bbc5b5d62dfd66e623494bfc67fc469eae6551c6.tar
yuzu-bbc5b5d62dfd66e623494bfc67fc469eae6551c6.tar.gz
yuzu-bbc5b5d62dfd66e623494bfc67fc469eae6551c6.tar.bz2
yuzu-bbc5b5d62dfd66e623494bfc67fc469eae6551c6.tar.lz
yuzu-bbc5b5d62dfd66e623494bfc67fc469eae6551c6.tar.xz
yuzu-bbc5b5d62dfd66e623494bfc67fc469eae6551c6.tar.zst
yuzu-bbc5b5d62dfd66e623494bfc67fc469eae6551c6.zip
Diffstat (limited to '.ci/scripts/linux/docker.sh')
-rw-r--r--.ci/scripts/linux/docker.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/.ci/scripts/linux/docker.sh b/.ci/scripts/linux/docker.sh
new file mode 100644
index 000000000..f538a4081
--- /dev/null
+++ b/.ci/scripts/linux/docker.sh
@@ -0,0 +1,14 @@
+#!/bin/bash -ex
+
+cd /yuzu
+
+ccache -s
+
+mkdir build || true && cd build
+cmake .. -G Ninja -DYUZU_USE_BUNDLED_UNICORN=ON -DYUZU_USE_QT_WEB_ENGINE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_C_COMPILER=/usr/lib/ccache/gcc -DCMAKE_CXX_COMPILER=/usr/lib/ccache/g++ -DYUZU_ENABLE_COMPATIBILITY_REPORTING=${ENABLE_COMPATIBILITY_REPORTING:-"OFF"} -DENABLE_COMPATIBILITY_LIST_DOWNLOAD=ON -DUSE_DISCORD_PRESENCE=ON
+
+ninja
+
+ccache -s
+
+ctest -VV -C Release